or(1)

NAME
or - or - conditionally execute a command

or - conditionally execute a command

  Synopsis
COMMAND1; or COMMAND2

  Description
or is used to execute a command if the current exit status (as set by the last previous command) is not 0.

or does not change the current exit status.

The exit status of the last foreground command to exit can always be accessed using the $status variable.

  Example
The following code runs the make command to build a program. If the build succeeds, the program is installed. If either step fails, make clean is run, which removes the files created by the build process.

make; and make install; or make clean